--NORMAL SETTINGS (PLAYERS LOOK HERE)
--Everything you need to change is in this section.

graceTime = 1800 -- 1800/60 = 30 Minutes of Grace. 0 for no grace time.
startingCoins = 50 -- The amount of coins each player starts with.
turretStart = true -- Allows each player to start with a gun turret. (Good for anti rush game)
playerNoBiterPlace = 10 -- Determines how close masters can place biter objects next to opposing players. Setting to 0 will disable this feature.
playerNoBuildingBiterPlace = 10 -- Determines how close masters cab okace biter objects next to player objects. Setting to 0 will disable this feature.

--Alien Pricing Below
smallBiterCost = 10
mediumBiterCost = 75
bigBiterCost = 500
behemothBiterCost = 10000
smallSpitterCost = 20
mediumSpitterCost = 125
bigSpitterCost = 1000
smallWormCost = 30
mediumWormCost = 750
bigWormCost = 3750
biterSpawnerCost = 500
spitterSpawnerCost = 1000

--ADVANCED SETTINGS(MAP DEVS LOOK HERE)
onlyInScenario = true --Weather or not the mod should only work in Scenarios. (Enabled by default)
-- Add your custom map to this list, with ("12341234",) BEFORE the first seed. This will register your custom map
-- Otherwise just set onlyInScenario to false to work with your custom scenario

local validSeedList = --Registers your map as a valid map.
{
	"3565130922",
	"4272789208",
	"61616",
	"616161",
	"1166116611",
	"yourmapseed" -- Add your map seed above (don't forget to add a "," here)
}
local seedSpawnInfo = --Register your maps spawn positions for players and master.
{
	{"3565130922", -60, -240, 0, 200, 0, 400, -60, -230}, -- yourmapseed,team1spawnx,team1spawny,team2spawnx,team2spawny,team1masterspawnx,team1masterspawny,team2masterspawnx,team2masterspawny
	{"4272789208", 100, -250, 100, 70, 100, 300, -300, -150},
	{"61616", -327, -35, 200, 10, 202, 134, -485, -15},
	{"616161",-223,161,63,113,150,-9,-187,-70},
	{"1166116611",-136,-94,13,158,97,167,-45,-122},
	{"yourmapseed", -60, -240, 0, 200, 0, 400, -60, -230} -- Don't forget to add a "," here if you add your map above
}

--!!Everything below this point you do not need to touch.!!
local Settings={}
	Settings.graceTime = graceTime
	Settings.onlyScenarios = onlyInScenario 
	Settings.startingCoins = startingCoins
	Settings.turretStart = turretStart
	Settings.playerNoBiterPlace = playerNoBiterPlace
	Settings.playerNoBuildingBiterPlace = playerNoBuildingBiterPlace
	Settings.smallBiterCost = smallBiterCost
	Settings.mediumBiterCost = mediumBiterCost
	Settings.bigBiterCost = bigBiterCost
	Settings.behemothBiterCost = behemothBiterCost
	Settings.smallSpitterCost = smallSpitterCost
	Settings.mediumSpitterCost = mediumSpitterCost
	Settings.bigSpitterCost = bigSpitterCost
	Settings.smallWormCost = smallWormCost
	Settings.mediumWormCost = mediumWormCost
	Settings.bigWormCost = bigWormCost
	Settings.biterSpawnerCost = biterSpawnerCost
	Settings.spitterSpawnerCost = spitterSpawnerCost
	Settings.marketPrice = marketPrice
	Settings.validSeeds = {}
	for _,v in ipairs(validSeedList) do 
    table.insert(Settings.validSeeds, v)
	Settings.seedSpawnInfo = {}
	for _,v in ipairs(seedSpawnInfo) do 
    table.insert(Settings.seedSpawnInfo, v)
	end
end
return Settings;